Rapid7 Vulnerability & Exploit Database

RHSA-2008:0649: libxslt security update

Back to Search

RHSA-2008:0649: libxslt security update

Severity
8
CVSS
(AV:N/AC:L/Au:N/C:P/I:P/A:P)
Published
08/01/2008
Created
07/25/2018
Added
09/09/2008
Modified
07/04/2017

Description

libxslt is a library for transforming XML files into other XML files usingthe standard XSLT stylesheet transformation mechanism.A heap buffer overflow flaw was discovered in the RC4 libxslt libraryextension. An attacker could create a malicious XSL file that would cause acrash, or, possibly, execute arbitrary code with the privileges of theapplication using the libxslt library to perform XSL transformations onuntrusted XSL style sheets. (CVE-2008-2935)Red Hat would like to thank Chris Evans for reporting this vulnerability.All libxslt users are advised to upgrade to these updated packages, whichcontain a backported patch to resolve this issue.

Solution(s)

  • redhat-upgrade-libxslt
  • redhat-upgrade-libxslt-devel
  • redhat-upgrade-libxslt-python

With Rapid7 live dashboards, I have a clear view of all the assets on my network, which ones can be exploited, and what I need to do in order to reduce the risk in my environment in real-time. No other tool gives us that kind of value and insight.

– Scott Cheney, Manager of Information Security, Sierra View Medical Center

;